#!/bin/sh
export PATH='/wrkdirs/usr/ports/devel/hs-atomic-primops/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: atomic-primops
version: 0.8.2
id: atomic-primops-0.8.2-AEF07W3ZbIiHcm4g3qySfI
key: atomic-primops-0.8.2-AEF07W3ZbIiHcm4g3qySfI
license: BSD-3-Clause
maintainer: rrnewton@gmail.com
author: Ryan Newton
homepage: https://github.com/rrnewton/haskell-lockfree/wiki
synopsis: A safe approach to CAS and other atomic ops in Haskell.
description:
    After GHC 7.4 a new `casMutVar#` primop became available, but it'\''s
    difficult to use safely, because pointer equality is a highly
    unstable property in Haskell.  This library provides a safer method
    based on the concept of "Tickets".
    .
    Also, this library uses the "foreign primop" capability of GHC to
    add access to other variants that may be of
    interest, specifically, compare and swap inside an array.
    .
    Note that as of GHC 7.8, the relevant primops have been included in GHC itself.
    This library is engineered to work pre- and post-GHC-7.8, while exposing the
    same interface.
category: Data
abi: d9c14a412d58b3f394661488972c4bbd
exposed: True
exposed-modules:
    Data.Atomics Data.Atomics.Counter Data.Atomics.Internal
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/atomic-primops-0.8.2
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/atomic-primops-0.8.2
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/atomic-primops-0.8.2
hs-libraries: HSatomic-primops-0.8.2-AEF07W3ZbIiHcm4g3qySfI
include-dirs: /usr/local/include
depends:
    base-4.11.1.0 ghc-prim-0.5.2.0
    primitive-0.6.3.0-DaZpcxwJp2TGn8ITSgfI4C
abi-depends: base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
             ghc-prim-0.5.2.0=39dc2488936298f474639901f9105eec
             primitive-0.6.3.0-DaZpcxwJp2TGn8ITSgfI4C=ebb991f3cd931bf46036a150751d6a3e
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/atomic-primops-0.8.2/html/atomic-primops.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/atomic-primops-0.8.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

